Subject: Re: I: gcc ... -U_WIN32 ... may cause problems
From: [email-masked] (Michael Weiser)

12 Sep 1998 03:24:53 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 8bit
To: [email-masked]
Cc: [email-masked]

Hello Earnie, you wrote:
>> the problem is that these applications of which you speak can't
>> tell the difference between win32-only, unix-only and unix-plus-win32.
>> they really should (sooner or later).
>Your opinion is certainly valid.  However, I can always add -D_WIN32
>in that case.  The original poster to this thread had a problem where
>the cygwin supplied header was dependent upon _WIN32 being defined and
>couldn't easily do the reverse; I.E.: -U_WIN32.  Since the main reason
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
I think, that's the real point: It doesn't really matter, wherer
_WIN32 is defined by default or not, but one should be able to disable
or enable access to Win32-Calls by simply undefining or defining
_WIN32. So someone will have to work on the headers to accomplish
that.

Disclaimer: No, I this wasn't meant as an offer, since I don't have
the time. :-\
-- 
bye, Michael
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".